Bug 733514 - problems with time/gettimeofday in multiple programs
Summary: problems with time/gettimeofday in multiple programs
Keywords:
Status: CLOSED DUPLICATE of bug 733462
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Schwab
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 20:38 UTC by Eric Paris
Modified: 2016-11-24 15:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-29 09:50:30 UTC


Attachments (Terms of Use)

Description Eric Paris 2011-08-25 20:38:14 UTC
After an update today, which did not include pulseaudio or chromium but did involve glibc, both crash on startup.  The pulseaudio crash can be seen in 733450.  The chromium crash looks like:

[eparis@localhost ~]$ gdb /usr/lib64/chromium-browser/chromium-browser core.6840
GNU gdb (GDB) Fedora (7.3.50.20110722-6.fc16)
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/lib64/chromium-browser/chromium-browser...Reading symbols from /usr/lib/debug/usr/lib64/chromium-browser/chromium-browser.debug...done.
done.

warning: core file may not match specified executable file.
[New LWP 6840]

warning: Ignoring non-absolute filename: <linux-vdso.so.1>
Missing separate debuginfo for linux-vdso.so.1
Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/06/f84b62c9ff45b3350213c4608b59020b44da96
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

warning: "/usr/lib/debug/usr/lib64/libicudata.so.46.0.debug": separate debug info file has no debug info
Cannot find new threads: generic error
Core was generated by `/usr/lib64/chromium-browser/chromium-browser'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007f8012ea22f1 in _dl_vdso_vsym (name=0x7f8012ee79d9 "time", vers=0x7fff05fa10e0) at ../sysdeps/unix/sysv/linux/dl-vdso.c:28
28        struct link_map *map = GLRO (dl_sysinfo_map);
Missing separate debuginfos, use: debuginfo-install cups-libs-1.5.0-5.fc16.x86_64
(gdb) bt
#0  0x00007f8012ea22f1 in _dl_vdso_vsym (name=0x7f8012ee79d9 "time", vers=0x7fff05fa10e0) at ../sysdeps/unix/sysv/linux/dl-vdso.c:28
#1  0x00007f8012e22177 in time () at ../sysdeps/unix/sysv/linux/x86_64/time.c:34
#2  0x00007f801411953b in elf_machine_rela (sym=0x7f8012d814f8, reloc_addr_arg=0x38100b9498, version=<optimized out>, map=0x7f80142fc9b8,
    reloc=<optimized out>) at ../sysdeps/x86_64/dl-machine.h:303
#3  elf_dynamic_do_rela (lazy=<optimized out>, relsize=<optimized out>, reladdr=<optimized out>, map=0x7f80142fc9b8) at do-rel.h:120
#4  _dl_relocate_object (scope=0x7f80142fcd10, reloc_mode=<optimized out>, consider_profiling=0) at dl-reloc.c:264
#5  0x00007f8014110914 in dl_main (phdr=<optimized out>, phnum=<optimized out>, user_entry=<optimized out>, auxv=<optimized out>)
    at rtld.c:2274
#6  0x00007f8014122394 in _dl_sysdep_start (start_argptr=<optimized out>, dl_main=0x7f801410f5a0 <dl_main>) at ../elf/dl-sysdep.c:244
#7  0x00007f8014112345 in _dl_start_final (arg=0x7fff05fa1440) at rtld.c:334
#8  _dl_start (arg=0x7fff05fa1440) at rtld.c:560
#9  0x00007f801410e6e8 in _start () from /lib64/ld-2.14.90.so
#10 0x0000000000000001 in ?? ()
#11 0x00007fff05fa3434 in ?? ()
#12 0x0000000000000000 in ?? ()

Comment 1 Eric Paris 2011-08-25 20:49:27 UTC
733219 is the right pulseaudio bug.   not the one listed.

Comment 2 Andreas Schwab 2011-08-29 09:50:30 UTC

*** This bug has been marked as a duplicate of bug 733462 ***


Note You need to log in before you can comment on or make changes to this bug.